import request from '@/utils/request'

// 查询分账记录列表
export function listFzRecord(query) {
  return request({
    url: '/fzRecord/fzRecord/list',
    method: 'get',
    params: query
  })
}

// 查询分账记录详细
export function getFzRecord(id) {
  return request({
    url: '/fzRecord/fzRecord/' + id,
    method: 'get'
  })
}

// 新增分账记录
export function addFzRecord(data) {
  return request({
    url: '/fzRecord/fzRecord',
    method: 'post',
    data: data
  })
}

// 修改分账记录
export function updateFzRecord(data) {
  return request({
    url: '/fzRecord/fzRecord',
    method: 'put',
    data: data
  })
}

// 删除分账记录
export function delFzRecord(id) {
  return request({
    url: '/fzRecord/fzRecord/' + id,
    method: 'delete'
  })
}
